/***********************************************************
  文件名：26_2IRremote_send.ino
  描述：万能遥控器，发送端。
  作者：陈志强
  日期：2022.11.3
***********************************************************/
#define IR_SEND_PIN 3//设置红外发射模块管脚
#include <IRremote.h>//调用红外库

IRsend   irsend;//定义 IRsend 来发射红外线讯号

void setup(){
  
  IrSender.begin(IR_SEND_PIN, DISABLE_LED_FEEDBACK);// 启动发送，并指定引脚；开启Arduino主板L灯反馈；
  pinMode(8, INPUT);
}

void loop(){
  //红外发射模块接开发板D3引脚；按键接D8引脚
  // 定义红外发射管脚.

  if (!digitalRead(8)) {//按下D8引脚
      while (!digitalRead(8)) {
        delay(10);
      }
      // 发送红外编码值
      IrSender.sendNEC(0xFF00,0x45,0 );

    }

}
